net.sf.jasperreports.data.xlsx

## Class XlsxDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService
    - - net.sf.jasperreports.data.xlsx.XlsxDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class XlsxDataAdapterService
      extends AbstractXlsDataAdapterService

  Version:
    $Id: XlsxDataAdapterService.java 6988 2014-03-26 14:34:01Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService

      `PROPERTY_DATA_ADAPTER_USE_LEGACY_JEXCELAPI`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxDataAdapterService(JasperReportsContext jasperReportsContext, XlsxDataAdapter xlsxDataAdapter)`
    `XlsxDataAdapterService(XlsxDataAdapter xlsxDataAdapter)` Deprecated. Replaced by `XlsxDataAdapterService(JasperReportsContext, XlsxDataAdapter)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `protected AbstractXlsDataSource` | `getXlsDataSource()`
    `XlsxDataAdapter` | `getXlsxDataAdapter()`

    - ### Methods inherited from class net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService

      `getXlsDataAdapter, setupColumns, setupColumns`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsxDataAdapterService

          public XlsxDataAdapterService(JasperReportsContext jasperReportsContext,
                                XlsxDataAdapter xlsxDataAdapter)

    - #### XlsxDataAdapterService

          public XlsxDataAdapterService(XlsxDataAdapter xlsxDataAdapter)

      Deprecated. Replaced by `XlsxDataAdapterService(JasperReportsContext, XlsxDataAdapter)`.

  - ### Method Detail

    - #### getXlsxDataAdapter

          public XlsxDataAdapter getXlsxDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Overrides:
        `contributeParameters` in class `AbstractXlsDataAdapterService`
      Throws:
        `JRException`

    - #### getXlsDataSource

          protected AbstractXlsDataSource getXlsDataSource()
                                                    throws JRException

      Specified by:
        `getXlsDataSource` in class `AbstractXlsDataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com